#ifndef OF_SCRAPER_XML_NODE
#define OF_SCRAPER_XML_NODE


#include "tree.h"
#include "parser.h"
#include "xpath.h"
#include "xpathInternals.h"
#include <string>

using namespace std;

class ofScraperXmlNode{

	public: 
		
		ofScraperXmlNode () { myNode = NULL; }
		~ofScraperXmlNode() { };
		
		void 		print();
		void 		reset();
		
		string 				getAttribute(string attribute);
		string 				getContent();
		bool				getHasAttribute(string attribute);
		
		int 				getNumChildren();
		ofScraperXmlNode	getChild(int childNum);
		
		// values?
		
		
		xmlNode * myNode;	// internal libXml2 node
};



#endif
